import http from '@/service'

export const integralRulesApi = {
  // 获取积分规则
  getTaskTypeScoreList: (durgentId: string | number) => {
    return http.get(`admin/api/taskTypeScoreList?durgentId=${durgentId}`)
  },
  getTaskTypeListByRuleId: (ruleId: string | number) => {
    return http.get(`admin/api/getTaskTypeListByRuleId?ruleId=${ruleId}`)
  },
  getPackageCanTaskList: (packageId: string | number) => {
    return http.get(`admin/api/getPackageCanTaskList?packageId=${packageId}`)
  },
  getDict: () => {
    return http.get(`/admin/dict/type/task_type_desc`)
  }
}

export function getTaskTypeDeptList() {
  return http.get('admin/wmtasktype/getTaskTypeDeptList')
}
